Skip to navigation

Delete elastic template version by version ID

View as Markdown

Deletes the elastic template version specified by versionId of the elastic template specified by clickwrapId.

Note: Be sure to check the deletionSuccess and deletionMessage properties of the response. In some cases deletionSuccess may be false even though the HTTP request response may be 200 (OK). Required authentication scopes: click.manage.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

accountIdstringRequired

The external account number (int) or account ID GUID.

clickwrapIdstringRequired
The GUID of the elastic template.
versionIdstringRequired

The ID of the version. This value can be the version’s GUID or the version string, such as 1.3.

Response

Successful response.
clickwrapVersionIdstringOptional
The unique GUID of this elastic template version.
createdTimeobjectOptional
The time that the elastic template was created.
dataFieldslist of objectsOptional

An array of dataField objects.

deletionMessagestringOptional

A message describing the result of deletion request. One of:

  • alreadyDeleted: Elastic template is already deleted.
  • deletionSuccess: Successfully deleted the elastic template.
  • deletionFailure: Failed to delete the elastic template.
  • cannotDelete: Active elastic template versions cannot be deleted.
deletionSuccessbooleanOptional

True if the elastic template was deleted successfully. False otherwise.

lastModifiedobjectOptional
The time that the elastic template was last modified.
lastModifiedBystringOptional
The user GUID of the last user who modified this elastic template.
ownerUserIdstringOptional
The user ID of the owner of this clickwrap.
requireReacceptancebooleanOptional

When true, requires signers who have previously agreed to this elastic signing agreement to sign again. The major version number is incremented, and the minor version number is set to zero. For example: 2.1 to 3.0

When false, signers who have previously agreed do not need to sign again. Only the minor version number is incremented. For example: 2.1 to 2.2

scheduledDateobjectOptional
The time and date when this elastic template is activated.
scheduledReacceptanceobjectOptional
statusstringOptional

Clickwrap status. Possible values:

  • active
  • inactive
  • deleted
versionIdstringOptional
The ID of the version.
versionNumberstringOptional

Human-readable version number. For example 1.2.

Errors

400
Bad Request Error